<!DOCTYPE html>
<html>
<link href="resources/grid.css" rel="stylesheet">
<style>
.grid {
    grid-template-columns: 5px;
    grid-template-rows: 5px;
}

.container {
    width: 200px;
    height: 100px;
}

.ahem {
    font: 25px/1 Ahem;
}

.minSmaller {
    min-width: 10px;
    min-height: 10px;
}

.minBigger {
    min-width: 150px;
    min-height: 75px;
}

.maxSmaller {
    max-width: 10px;
    max-height: 10px;
}

.maxBigger {
    max-width: 150px;
    max-height: 75px;
}

.noStretch {
    align-items: start;
    justify-items: start;
}
</style>
<script src="../../resources/check-layout.js"></script>
<body onload="checkLayout('.grid')">

<p>This test checks min-width|height auto behavior for grids</p>

<div class="container">
    <div class="grid">
        <div class="ahem" data-expected-width="100" data-expected-height="25">XXXX</div>
    </div>
</div>

<div class="container">
    <div class="grid">
        <div class="ahem minSmaller" data-expected-width="10" data-expected-height="10">XXXX</div>
    </div>
</div>

<div class="container">
    <div class="grid">
        <div class="ahem minBigger" data-expected-width="150" data-expected-height="75">XXXX</div>
    </div>
</div>

<div class="container">
    <div class="grid">
        <div class="ahem maxSmaller" data-expected-width="10" data-expected-height="10">XXXX</div>
    </div>
</div>

<div class="container">
    <div class="grid">
        <div class="ahem maxBigger" data-expected-width="100" data-expected-height="25">XXXX</div>
    </div>
</div>

<!-- Verify that the same cases without 'stretch' work as expected as well. -->
<div class="container">
    <div class="grid noStretch">
        <div class="ahem" data-expected-width="100" data-expected-height="25">XXXX</div>
    </div>
</div>

<div class="container">
    <div class="grid noStretch">
        <div class="ahem minSmaller" data-expected-width="100" data-expected-height="25">XXXX</div>
    </div>
</div>

<div class="container">
    <div class="grid noStretch">
        <div class="ahem minBigger" data-expected-width="150" data-expected-height="75">XXXX</div>
    </div>
</div>

<div class="container">
    <div class="grid noStretch">
        <div class="ahem maxSmaller" data-expected-width="10" data-expected-height="10">XXXX</div>
    </div>
</div>

<div class="container">
    <div class="grid noStretch">
        <div class="ahem maxBigger" data-expected-width="100" data-expected-height="25">XXXX</div>
    </div>
</div>

<!-- Verify we are applying correctly the min-content size. -->
<div class="container">
    <div class="grid">
        <div class="ahem" data-expected-width="75" data-expected-height="50">XXX X</div>
    </div>
</div>

<div class="container">
    <div class="grid noStretch">
        <div class="ahem" data-expected-width="75" data-expected-height="50">XXX X</div>
    </div>
</div>

</body>
</html>
